#!/bin/bash

cd "$(dirname "$0")"

function download_check { 
	fname="${1}"
	hash="${2}"
	
	if [ ! -f "${fname}" ]; then
		wget -O "${fname}" "https://download.gaborator.com/gaborator/${fname}"
	fi
	

	
}

VERSIONS="1.0 1.1 1.2 1.3 1.4 1.5 1.6 1.7"


for v in $VERSIONS; do
	download_check "gaborator-${v}.tar.gz"
done

sha256sum -c SHA256SUMS
if [[ $? != 0 ]]; then
		echo "some hashes do not match!"
		exit 1
fi

for v in $VERSIONS; do
	git rev-list "v${v}"
	if [[ $? != 0 ]]; then
		pushd ../
		rm -r doc examples gaborator CHANGES LICENSE README
		popd
		tar --extract -f "gaborator-${v}.tar.gz"
		pushd "gaborator-${v}"
		cp -rv . ../../
		popd
		release_date=$(date -r "gaborator-${v}.tar.gz" -R --utc)
		pushd ../
		git add doc examples gaborator LICENSE README
		git add CHANGES
		GIT_AUTHOR_DATE="${release_date}" GIT_COMMITTER_DATE="${release_date}" git commit -m "Release ${v}"
		GIT_COMMITTER_DATE="${release_date}" git tag -s "v${v}" -m "Release ${v}"
		popd
		rm -r "gaborator-${v}"
	fi
done

